curl --request POST \
--url https://www.ruddr.io/api/workspace/project-service-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"invoiceItemId": "<string>",
"date": "2023-12-25",
"description": "<string>",
"quantity": 123,
"rate": 123,
"fee": 123
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-service-items"
payload = {
"projectId": "<string>",
"invoiceItemId": "<string>",
"date": "2023-12-25",
"description": "<string>",
"quantity": 123,
"rate": 123,
"fee": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
invoiceItemId: '<string>',
date: '2023-12-25',
description: '<string>',
quantity: 123,
rate: 123,
fee: 123
})
};
fetch('https://www.ruddr.io/api/workspace/project-service-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-service-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '<string>',
'invoiceItemId' => '<string>',
'date' => '2023-12-25',
'description' => '<string>',
'quantity' => 123,
'rate' => 123,
'fee' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-service-items"
payload := strings.NewReader("{\n \"projectId\": \"<string>\",\n \"invoiceItemId\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"quantity\": 123,\n \"rate\": 123,\n \"fee\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.ruddr.io/api/workspace/project-service-items")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"<string>\",\n \"invoiceItemId\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"quantity\": 123,\n \"rate\": 123,\n \"fee\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-service-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"<string>\",\n \"invoiceItemId\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"quantity\": 123,\n \"rate\": 123,\n \"fee\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "e4b9d7f1-2a6c-4e8d-b3f5-7d1a9c4e2b68",
"date": "2026-06-04",
"quantity": 5,
"rate": 200,
"fee": 1000,
"description": "Managed services retainer",
"createdAt": "2026-06-04T09:15:42.831Z",
"project": {
"id": "b8d4e6f2-3c9a-4b7e-a5d1-2f8c4e9b6d37",
"name": "Managed IT Services",
"client": {
"id": "c1e9b5d3-7f4a-4c8b-9e2d-6a3f1c7e4b82",
"name": "Pinnacle Financial"
}
},
"invoiceItem": {
"id": "d6f2a8c4-1e7b-4d3f-b9a5-4c8e2d6f1b73",
"name": "Managed Services"
},
"invoiced": false
}Create a project service item
curl --request POST \
--url https://www.ruddr.io/api/workspace/project-service-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"invoiceItemId": "<string>",
"date": "2023-12-25",
"description": "<string>",
"quantity": 123,
"rate": 123,
"fee": 123
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-service-items"
payload = {
"projectId": "<string>",
"invoiceItemId": "<string>",
"date": "2023-12-25",
"description": "<string>",
"quantity": 123,
"rate": 123,
"fee": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
invoiceItemId: '<string>',
date: '2023-12-25',
description: '<string>',
quantity: 123,
rate: 123,
fee: 123
})
};
fetch('https://www.ruddr.io/api/workspace/project-service-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-service-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '<string>',
'invoiceItemId' => '<string>',
'date' => '2023-12-25',
'description' => '<string>',
'quantity' => 123,
'rate' => 123,
'fee' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-service-items"
payload := strings.NewReader("{\n \"projectId\": \"<string>\",\n \"invoiceItemId\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"quantity\": 123,\n \"rate\": 123,\n \"fee\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.ruddr.io/api/workspace/project-service-items")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"<string>\",\n \"invoiceItemId\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"quantity\": 123,\n \"rate\": 123,\n \"fee\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-service-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"<string>\",\n \"invoiceItemId\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"quantity\": 123,\n \"rate\": 123,\n \"fee\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "e4b9d7f1-2a6c-4e8d-b3f5-7d1a9c4e2b68",
"date": "2026-06-04",
"quantity": 5,
"rate": 200,
"fee": 1000,
"description": "Managed services retainer",
"createdAt": "2026-06-04T09:15:42.831Z",
"project": {
"id": "b8d4e6f2-3c9a-4b7e-a5d1-2f8c4e9b6d37",
"name": "Managed IT Services",
"client": {
"id": "c1e9b5d3-7f4a-4c8b-9e2d-6a3f1c7e4b82",
"name": "Pinnacle Financial"
}
},
"invoiceItem": {
"id": "d6f2a8c4-1e7b-4d3f-b9a5-4c8e2d6f1b73",
"name": "Managed Services"
},
"invoiced": false
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The project ID (uuid) for this service item.
The invoice item ID (uuid) for this service item.
The date of the item. Will be in the form YYYY-MM-DD.
A description of the additional service being charged.
The quantity used to calculate the fee.
The rate used to calculate the fee.
The total amount of the item.
Response
200
The unique identifier for the object.
The date of the item. Will be in the form YYYY-MM-DD.
The quantity used to calculate the fee.
The rate used to calculate the fee.
The total amount of the item.
A description of the additional service being charged.
The timestamp when the object was created.
The project this item belongs to.
Show child attributes
Show child attributes
The invoice item associated with this service item.
Show child attributes
Show child attributes
Whether the item has been invoiced.